defmodule Arkmage.Application do
  # See https://hexdocs.pm/elixir/Application.html
  # for more information on OTP Applications
  @moduledoc false

  use Application

  @impl true
  def start(_type, _args) do
    children = [
      # Start the Telemetry supervisor
      ArkmageWeb.Telemetry,
      # Start the Ecto repository
      Arkmage.Repo,
      # Start the PubSub system
      {Phoenix.PubSub, name: Arkmage.PubSub},
      # Start Finch
      {Finch, name: Arkmage.Finch},
      # Start the Endpoint (http/https)
      ArkmageWeb.Endpoint
      # Start a worker by calling: Arkmage.Worker.start_link(arg)
      # {Arkmage.Worker, arg}
    ]

    # See https://hexdocs.pm/elixir/Supervisor.html
    # for other strategies and supported options
    opts = [strategy: :one_for_one, name: Arkmage.Supervisor]
    Supervisor.start_link(children, opts)
  end

  # Tell Phoenix to update the endpoint configuration
  # whenever the application is updated.
  @impl true
  def config_change(changed, _new, removed) do
    ArkmageWeb.Endpoint.config_change(changed, removed)
    :ok
  end
end
